%{?nodejs_find_provides_and_requires}

%global packagename isobject
%global enable_tests 1

Name:		nodejs-isobject
Version:	2.1.0
Release:	1%{?dist}
Summary:	Returns true if the value is an object and not an array or null

License:	MIT
URL:		https://github.com/jonschlinkert/isobject.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Grab from upstream github repo instead
Source1:	https://raw.githubusercontent.com/jonschlinkert/isobject/%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(isarray)
%endif

%description
Returns true if the value is an object and not an array or null.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 2.1.0-1
- Update to upstream 2.1.0 release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb  4 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Initial packaging
